AllegroGL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- packed_pixel_format : allegro_gl_display_info
- packed_pixel_type : allegro_gl_display_info
- PassTexCoordATI : AGL_EXT
- PassThroughxOES : AGL_EXT
- pixel_size : allegro_gl_display_info
- PixelDataRangeNV : AGL_EXT
- PixelMapx : AGL_EXT
- PixelStorex : AGL_EXT
- PixelTexGenParameterfSGIS : AGL_EXT
- PixelTexGenParameterfvSGIS : AGL_EXT
- PixelTexGenParameteriSGIS : AGL_EXT
- PixelTexGenParameterivSGIS : AGL_EXT
- PixelTexGenSGIX : AGL_EXT
- PixelTransferxOES : AGL_EXT
- PixelTransformParameterfEXT : AGL_EXT
- PixelTransformParameterfvEXT : AGL_EXT
- PixelTransformParameteriEXT : AGL_EXT
- PixelTransformParameterivEXT : AGL_EXT
- PixelZoomxOES : AGL_EXT
- PNTrianglesfATI : AGL_EXT
- PNTrianglesiATI : AGL_EXT
- PointParameterf : AGL_EXT
- PointParameterfARB : AGL_EXT
- PointParameterfEXT : AGL_EXT
- PointParameterfSGIS : AGL_EXT
- PointParameterfv : AGL_EXT
- PointParameterfvARB : AGL_EXT
- PointParameterfvEXT : AGL_EXT
- PointParameterfvSGIS : AGL_EXT
- PointParameteri : AGL_EXT
- PointParameteriNV : AGL_EXT
- PointParameteriv : AGL_EXT
- PointParameterivNV : AGL_EXT
- PointSizexOES : AGL_EXT
- PollAsyncSGIX : AGL_EXT
- PollInstrumentsSGIX : AGL_EXT
- PolygonOffsetEXT : AGL_EXT
- PolygonOffsetxOES : AGL_EXT
- PrimitiveRestartIndexNV : AGL_EXT
- PrimitiveRestartNV : AGL_EXT
- PrioritizeTexturesEXT : AGL_EXT
- PrioritizeTexturesxOES : AGL_EXT
- ProgramBufferParametersfvNV : AGL_EXT
- ProgramBufferParametersIivNV : AGL_EXT
- ProgramBufferParametersIuivNV : AGL_EXT
- ProgramEnvParameter4dARB : AGL_EXT
- ProgramEnvParameter4dvARB : AGL_EXT
- ProgramEnvParameter4fARB : AGL_EXT
- ProgramEnvParameter4fvARB : AGL_EXT
- ProgramEnvParameterI4iNV : AGL_EXT
- ProgramEnvParameterI4ivNV : AGL_EXT
- ProgramEnvParameterI4uiNV : AGL_EXT
- ProgramEnvParameterI4uivNV : AGL_EXT
- ProgramEnvParameters4fvEXT : AGL_EXT
- ProgramEnvParametersI4ivNV : AGL_EXT
- ProgramEnvParametersI4uivNV : AGL_EXT
- ProgramLocalParameter4dARB : AGL_EXT
- ProgramLocalParameter4dvARB : AGL_EXT
- ProgramLocalParameter4fARB : AGL_EXT
- ProgramLocalParameter4fvARB : AGL_EXT
- ProgramLocalParameterI4iNV : AGL_EXT
- ProgramLocalParameterI4ivNV : AGL_EXT
- ProgramLocalParameterI4uiNV : AGL_EXT
- ProgramLocalParameterI4uivNV : AGL_EXT
- ProgramLocalParameters4fvEXT : AGL_EXT
- ProgramLocalParametersI4ivNV : AGL_EXT
- ProgramLocalParametersI4uivNV : AGL_EXT
- ProgramNamedParameter4dNV : AGL_EXT
- ProgramNamedParameter4dvNV : AGL_EXT
- ProgramNamedParameter4fNV : AGL_EXT
- ProgramNamedParameter4fvNV : AGL_EXT
- ProgramParameter4dNV : AGL_EXT
- ProgramParameter4dvNV : AGL_EXT
- ProgramParameter4fNV : AGL_EXT
- ProgramParameter4fvNV : AGL_EXT
- ProgramParameteriEXT : AGL_EXT
- ProgramParameters4dvNV : AGL_EXT
- ProgramParameters4fvNV : AGL_EXT
- ProgramStringARB : AGL_EXT
- ProgramVertexLimitNV : AGL_EXT
- ptr : mixed_ptr